
# include "my_lib.h"
# include "pid_c.h"


int main()
{
    // 创建PID控制器实例
    studio_pid pid;

    // 初始化PID参数
    double ini = 2, goal = 50, p = 0.5, i = 0.001, d = 0.6;
    studio_pid_init(&pid, ini, goal, p, i, d);

    // 模拟控制循环
    double current_value = ini;
    for (int i = 0; i < 20; ++i)
    {
        // 计算PID输出
        double output = studio_pid_compute(&pid, current_value);
        // 更新系统状态(这里简单地将输出加到当前值上)
        current_value += output;
        std::cout << "Step " << i + 1 << ": 目标=" << goal << ", 当前值=" << current_value << ", 输出=" << output << std::endl;
    }

	return 0; 
}






